/* tslint:disable */
/* eslint-disable */
/**
* @param {number} fr
* @param {number} to
* @returns {number}
*/
export function get_random_f64(fr: number, to: number): number;
/**
* @param {number} fr
* @param {number} to
* @returns {number}
*/
export function get_random_usize(fr: number, to: number): number;
/**
*/
export enum FlakeType {
  Square = 0,
  Text = 1,
  Circle = 2,
}
/**
*/
export class FallingConfig {
  free(): void;
/**
* @param {number} frequency
* @param {number} min_radius
* @param {number} max_radius
* @param {number} min_speed
* @param {number} max_speed
* @param {number} min_angle
* @param {number} max_angle
* @param {(string)[]} colors
* @param {FlakeType} type_
* @param {string} text
* @param {string} el
*/
  constructor(frequency: number, min_radius: number, max_radius: number, min_speed: number, max_speed: number, min_angle: number, max_angle: number, colors: (string)[], type_: FlakeType, text: string, el: string);
}
/**
*/
export class Scene {
  free(): void;
/**
* @param {FallingConfig} config
*/
  constructor(config: FallingConfig);
/**
*/
  resize(): void;
/**
*/
  render(): void;
}

export type InitInput = RequestInfo | URL | Response | BufferSource | WebAssembly.Module;

export interface InitOutput {
  readonly memory: WebAssembly.Memory;
  readonly __wbg_fallingconfig_free: (a: number) => void;
  readonly fallingconfig_new: (a: number, b: number, c: number, d: number, e: number, f: number, g: number, h: number, i: number, j: number, k: number, l: number, m: number, n: number) => number;
  readonly __wbg_scene_free: (a: number) => void;
  readonly get_random_f64: (a: number, b: number) => number;
  readonly get_random_usize: (a: number, b: number) => number;
  readonly scene_new: (a: number) => number;
  readonly scene_resize: (a: number) => void;
  readonly scene_render: (a: number) => void;
  readonly __wbindgen_malloc: (a: number, b: number) => number;
  readonly __wbindgen_realloc: (a: number, b: number, c: number, d: number) => number;
  readonly __wbindgen_exn_store: (a: number) => void;
}

export type SyncInitInput = BufferSource | WebAssembly.Module;
/**
* Instantiates the given `module`, which can either be bytes or
* a precompiled `WebAssembly.Module`.
*
* @param {SyncInitInput} module
*
* @returns {InitOutput}
*/
export function initSync(module: SyncInitInput): InitOutput;

/**
* If `module_or_path` is {RequestInfo} or {URL}, makes a request and
* for everything else, calls `WebAssembly.instantiate` directly.
*
* @param {InitInput | Promise<InitInput>} module_or_path
*
* @returns {Promise<InitOutput>}
*/
export default function __wbg_init (module_or_path?: InitInput | Promise<InitInput>): Promise<InitOutput>;
